GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
line_header Struct Reference

## Public Member Functions
| line_header ()
void | add_include_dir (const char *include_dir)
void | add_file_name (const char *name, dir_index d_index, unsigned int mod_time, unsigned int length)
const char * | include_dir_at (dir_index index) const
file_entry * | file_name_at (file_name_index index)
const file_entry * | file_name_at (unsigned int index) const

## Public Attributes
sect_offset | sect_off {}
unsigned | offset_in_dwz: 1
unsigned int | total_length {}
unsigned short | version {}
unsigned int | header_length {}
unsigned char | minimum_instruction_length {}
unsigned char | maximum_ops_per_instruction {}
unsigned char | default_is_stmt {}
int | line_base {}
unsigned char | line_range {}
unsigned char | opcode_base {}
std::unique_ptr< unsigned char[]> | standard_opcode_lengths
std::vector< const char * > | include_dirs
std::vector< file_entry > | file_names
const gdb_byte * | statement_program_start {}
const gdb_byte * | statement_program_end {}

## Detailed Description

Definition at line 1298 of file dwarf2read.c.

## Constructor & Destructor Documentation

## ◆ line_header()

line_header::line_header | ( |  | ) |
| inline

Definition at line 1300 of file dwarf2read.c.

## Member Function Documentation

## ◆ add_file_name()

void line_header::add_file_name | ( | const char * | name,
|  | dir_index | d_index,
|  | unsigned int | mod_time,
|  | unsigned int | length
| ) |  |

Definition at line 19928 of file dwarf2read.c.

References dwarf_line_debug, file_names, fprintf_unfiltered(), gdb_stdlog, and name.

Referenced by dwarf_decode_line_header(), and dwarf_decode_lines_1().

## ◆ add_include_dir()

void line_header::add_include_dir | ( | const char * | include_dir | ) |

Definition at line 19918 of file dwarf2read.c.

References dwarf_line_debug, fprintf_unfiltered(), gdb_stdlog, and include_dirs.

Referenced by dwarf_decode_line_header().

## ◆ file_name_at() [1/2]

file_entry* line_header::file_name_at | ( | file_name_index | index | ) |
| inline

Definition at line 1326 of file dwarf2read.c.

References file_names, and to_underlying().

Referenced by lnp_state_machine::current_file(), and new_symbol_full().

## ◆ file_name_at() [2/2]

const file_entry* line_header::file_name_at | ( | unsigned int | index | ) | const
| inline

Definition at line 1338 of file dwarf2read.c.

References file_names.

## ◆ include_dir_at()

const char* line_header::include_dir_at | ( | dir_index | index | ) | const
| inline

Definition at line 1313 of file dwarf2read.c.

References include_dirs, and to_underlying().

Referenced by file_entry::include_dir().

## Member Data Documentation

## ◆ default_is_stmt

unsigned char line_header::default_is_stmt {}

Definition at line 1356 of file dwarf2read.c.

Referenced by lnp_state_machine::lnp_state_machine().

## ◆ file_names

std::vector<file_entry> line_header::file_names

Definition at line 1372 of file dwarf2read.c.

Referenced by add_file_name(), dwarf_decode_lines(), file_file_name(), file_name_at(), psymtab_include_file_name(), and setup_type_unit_groups().

## ◆ header_length

unsigned int line_header::header_length {}

Definition at line 1353 of file dwarf2read.c.

## ◆ include_dirs

std::vector<const char *> line_header::include_dirs

Definition at line 1369 of file dwarf2read.c.

Referenced by add_include_dir(), and include_dir_at().

## ◆ line_base

int line_header::line_base {}

Definition at line 1357 of file dwarf2read.c.

Referenced by lnp_state_machine::handle_special_opcode().

## ◆ line_range

unsigned char line_header::line_range {}

Definition at line 1358 of file dwarf2read.c.

Referenced by lnp_state_machine::handle_const_add_pc(), and lnp_state_machine::handle_special_opcode().

## ◆ maximum_ops_per_instruction

unsigned char line_header::maximum_ops_per_instruction {}

Definition at line 1355 of file dwarf2read.c.

Referenced by lnp_state_machine::handle_advance_pc(), lnp_state_machine::handle_const_add_pc(), and lnp_state_machine::handle_special_opcode().

## ◆ minimum_instruction_length

unsigned char line_header::minimum_instruction_length {}

Definition at line 1354 of file dwarf2read.c.

Referenced by lnp_state_machine::handle_advance_pc(), lnp_state_machine::handle_const_add_pc(), and lnp_state_machine::handle_special_opcode().

## ◆ offset_in_dwz

unsigned line_header::offset_in_dwz

Definition at line 1349 of file dwarf2read.c.

Referenced by handle_DW_AT_stmt_list(), line_header_eq_voidp(), and line_header_hash().

## ◆ opcode_base

unsigned char line_header::opcode_base {}

Definition at line 1359 of file dwarf2read.c.

Referenced by dwarf_decode_lines_1(), lnp_state_machine::handle_const_add_pc(), and lnp_state_machine::handle_special_opcode().

## ◆ sect_off

sect_offset line_header::sect_off {}

Definition at line 1346 of file dwarf2read.c.

Referenced by handle_DW_AT_stmt_list(), line_header_eq_voidp(), and line_header_hash().

## ◆ standard_opcode_lengths

std::unique_ptr<unsigned char[]> line_header::standard_opcode_lengths

Definition at line 1365 of file dwarf2read.c.

Referenced by dwarf_decode_lines_1().

## ◆ statement_program_end

const gdb_byte * line_header::statement_program_end {}

Definition at line 1376 of file dwarf2read.c.

Referenced by dwarf_decode_lines_1().

## ◆ statement_program_start

const gdb_byte* line_header::statement_program_start {}

Definition at line 1376 of file dwarf2read.c.

Referenced by dwarf_decode_lines_1().

## ◆ total_length

unsigned int line_header::total_length {}

Definition at line 1351 of file dwarf2read.c.

## ◆ version

unsigned short line_header::version {}

Definition at line 1352 of file dwarf2read.c.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/dwarf2read.c